/* eslint-disable strict */
const data = [
  {
    module: 'frame',
    path: '/frame/home',
    title: '首页',
    code: 'frameHome',
    parentCode: null,
    icon: 'el-icon-s-home',
  },
  // 内容管理
  {
    module: 'content',
    path: '',
    title: '内容管理',
    code: 'contentHome',
    parentCode: null,
    icon: 'el-icon-document-copy',
  },
  {
    module: 'menus',
    path: '/menus/home',
    title: '菜单管理',
    code: 'menus',
    parentCode: 'contentHome',
    icon: 'el-icon-s-grid',
  },
  {
    module: 'imgNews',
    path: '/imgNews/home',
    title: '图片链接',
    code: 'imgNews',
    parentCode: 'contentHome',
    icon: 'el-icon-s-marketing',
  },
  {
    module: 'pages',
    path: '/pages/home',
    title: '单页管理',
    code: 'pages',
    parentCode: 'contentHome',
    icon: 'el-icon-tickets',
  },
  {
    module: 'contents',
    path: '/contents/home',
    title: '文章管理',
    code: 'contents',
    parentCode: 'contentHome',
    icon: 'el-icon-document-copy',
  },
  // 文件管理
  {
    module: 'files',
    path: '/files/home',
    title: '文件管理',
    code: 'filesHome',
    parentCode: null,
    icon: 'el-icon-folder',
  },
  {
    module: 'gaf',
    path: '',
    title: '系统管理',
    code: 'gaf',
    parentCode: null,
    icon: 'el-icon-setting',
  },
  {
    module: 'code',
    path: '/code/home',
    title: '字典管理',
    code: 'code',
    parentCode: 'gaf',
    icon: 'el-icon-reading',
  },
  {
    module: 'adminUser',
    path: '/adminUser/home',
    title: '系统用户',
    code: 'adminUser',
    parentCode: 'gaf',
    icon: 'el-icon-user',
  },
  {
    module: 'role',
    path: '/role/home',
    title: '系统角色',
    code: 'role',
    parentCode: 'gaf',
    icon: 'el-icon-s-custom',
  },
  {
    module: 'roleMenu',
    path: '/roleMenu/home',
    title: '系统菜单',
    code: 'roleMenu',
    parentCode: 'gaf',
    icon: 'el-icon-menu',
  },
  {
    module: 'log',
    path: '/log/home',
    title: '系统日志',
    code: 'log',
    parentCode: 'gaf',
    icon: 'el-icon-document',
  },
  {
    module: 'toConfig',
    path: '/toConfig/home',
    title: '网站配置',
    code: 'toConfig',
    parentCode: 'gaf',
    icon: 'el-icon-s-tools',
  },
];
module.exports.data = data;
